Event::RPC::Logger(3)

NAME
Event::RPC::Logger - Logging facility for Event::RPC

SYNOPSIS
  use Event::RPC::Server;
  use Event::RPC::Logger;

  my $server = Event::RPC::Server->new (
      ...
      logger => Event::RPC::Logger->new(
          filename  => "/var/log/myserver.log",
          fh_lref   => [ $fh, $sock ],
          min_level => 2,
      ),
      ...
  );

  $server->start;

DESCRIPTION
This modules implements a simple logging facility for the Event::RPC framework. Log messages may be written to a specific file and/or a bunch of filehandles, which may be sockets as well.

CONFIGURATION OPTIONS
This is a list of options you can pass to the new() constructor:

filename
    All log messages are appended to this file.

fh_lref
    All log messages are printed into this list of filehandles.

min_level
    This is the minimum log level. Output of messages with a lower level is suppressed. This option may be altered using set_min_level() even in a running server.

METHODS

$logger->log ( [$level, ] $msg )
    The log() method does the actual logging. Called with one argument the messages gets the default level of 1. With two argumens the first is the level for the message.

$logger->add_fh ( $fh )
    This adds a filehandle to the internal list of filhandles all log messages are written to.

$logger->remove_fh ( $fh )
    Removes a filehandle.

AUTHORS
  Jörn Reder <joern at zyn dot de>

COPYRIGHT AND LICENSE
Copyright (C) 2002-2006 by Joern Reder, All Rights Reserved.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

POD ERRORS
Hey! The above document had some coding errors, which are explained below:

Around line 199:
    Non-ASCII character seen before =encoding in 'Jörn'. Assuming CP1252